#ifndef HEALTHBAR_HPP_INCLUDED
#define HEALTHBAR_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class HealthBar : public Node
    {
        public:
            HealthBar();
            HealthBar(const void* Obj);
            HealthBar(const HealthBar& H);
            static Class GetClass();

            std::int32_t GetHealthRatio() const;
            std::int32_t GetTick() const;

    };
}

#endif // HEALTHBAR_HPP_INCLUDED
